/***************************************************************************
 *   Copyright (C) 2008 by Andreas Silberstorff   *
 *   ml@andreas-silberstorff.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef DAYSOFTHEWEEK_H
#define DAYSOFTHEWEEK_H

#include "libkalva_export.h"

#include <QObject>
#include <QList>

namespace KalvaData {

enum WeekDay
{
	SUNDAY = 0,
	MONDAY = 1,
	TUESDAY = 2,
	WEDNESDAY = 3,
	THURSDAY = 4,
	FRYDAY = 5,
	SATURDAY = 6
};

class KALVALIB_EXPORT DaysOfTheWeek
	 : public QObject
{
	Q_OBJECT
public:
	DaysOfTheWeek();
	virtual ~DaysOfTheWeek();

	QString getDaysOfTheWeekString();
	QList<int> getDaysOfTheWeekList();

	inline bool isSundayActive() { return m_sunday; };
	inline bool isMondayActive() { return m_monday;  };
	inline bool isTuesdayActive() { return m_tuesday;  };
	inline bool isWednesdayActive() { return m_wednesday;  };
	inline bool isThursdayActive() { return m_thursday;  };
	inline bool isFrydayActive() { return m_fryday;  };
	inline bool isSaturdayActive() { return m_saturday;  };

public slots:
	void setSundayActive(bool active);
	void setMondayActive(bool active);
	void setTuesdayActive(bool active);
	void setWednesdayActive(bool active);
	void setThursdayActive(bool active);
	void setFrydayActive(bool active);
	void setSaturdayActive(bool active);

private:
	bool m_sunday;
	bool m_monday;
	bool m_tuesday;
	bool m_wednesday;
	bool m_thursday;
	bool m_fryday;
	bool m_saturday;
	QList<int> m_daysoftheweek;
};

}

#endif